
Redmine - Feature #31887

Update jQuery UI to 1.12.1

2019-08-13 07:54 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

We should upgrade jQuery UI to latest version (currently 1.12.1).

Upgrade guide: https://jqueryui.com/upgrade-guide/1.12/

Related issues:

Blocked by Redmine - Defect #31870: Remove deprecated .zIndex() method Closed

Blocks Redmine - Defect #32125: Issues autocomplete may not find issues with ... Closed

Associated revisions

Revision 19769 - 2020-05-09 07:47 - Go MAEDA

Update jQuery UI to 1.12.1 (#31887).

Patch by Marius BALTEANU.

Revision 19776 - 2020-05-14 15:55 - Go MAEDA

Reverts r19769 (#31887).

The change broke the Highlighted code button in the Wiki toolbar.

Revision 19783 - 2020-05-18 15:50 - Go MAEDA

Update jQuery UI to 1.12.1 (#31887).

Patch by Marius BALTEANU.

History

#1 - 2019-08-13 07:55 - Marius BĂLTEANU

- Related to Defect #31870: Remove deprecated .zIndex() method added

#2 - 2019-08-13 08:45 - Marius BĂLTEANU

- Related to deleted (Defect #31870: Remove deprecated .zIndex() method)

#3 - 2019-08-13 08:45 - Marius BĂLTEANU

- Blocked by Defect #31870: Remove deprecated .zIndex() method added

#4 - 2019-08-16 09:49 - Sho HASHIMOTO

+1!!

#5 - 2019-08-16 10:30 - Sho HASHIMOTO

note: jQuery 1.x and 2.x was already EOL. See below.

https://github.com/jquery/jquery.com/issues/162

#6 - 2020-05-02 21:40 - Marius BĂLTEANU

- File 0001-Update-JQuery-UI-to-1.12.1.patch.zip added

- Target version set to Candidate for next major release

2025-05-01 1/4

https://jqueryui.com/upgrade-guide/1.12/
https://github.com/jquery/jquery.com/issues/162


Here is a patch that updates jQuery UI to latest version (1.12.1). The patch is zip archive because of the size.

Among all the changes, the new version of jQuery UI brings a new default theme (Smoothness) and Font size changes which do not require anymore

some overrides made in Redmine theme.

Beside the update, the patch removes those overrides, adds a new overlay background and makes the autocomplete to have the same look and feel

from inline auto complete, context menu or quick project.

Also, starting with this version, the library is divided in multiple components and we can decrease the size of it if we drop those components not used

by Redmine, but the change can affect plugin developers.

#7 - 2020-05-02 21:41 - Marius BĂLTEANU

- File datepicker.png added

- File overlay.png added

- File autocomplete.png added

Some screenshots.

#8 - 2020-05-02 21:44 - Marius BĂLTEANU

- File deleted (0001-Update-JQuery-UI-to-1.12.1.patch.zip)

#9 - 2020-05-02 21:49 - Marius BĂLTEANU

- File 0001-Update-JQuery-UI-to-1.12.1.patch.zip added

#10 - 2020-05-02 21:50 - Marius BĂLTEANU

Sho HASHIMOTO wrote:

note: jQuery 1.x and 2.x was already EOL. See below.

https://github.com/jquery/jquery.com/issues/162

 Here we track jQuery UI update and in #33383 we track jQuery.

#11 - 2020-05-04 09:10 - Go MAEDA

Marius BALTEANU wrote:

Here is a patch that updates jQuery UI to latest version (1.12.1). The patch is zip archive because of the size.

 Thank you for working on this. Features that depend on JQuery UI such as dialogs and auto-completes seem to be working fine.

#12 - 2020-05-06 16:29 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#13 - 2020-05-08 07:40 - Go MAEDA

Marius BALTEANU wrote:

Also, starting with this version, the library is divided in multiple components and we can decrease the size of it if we drop those components not

used by Redmine, but the change can affect plugin developers.

 Dropping some components is a big change, so I think it is better to put off the change until Redmine 5.0.

#14 - 2020-05-08 09:09 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Also, starting with this version, the library is divided in multiple components and we can decrease the size of it if we drop those components

not used by Redmine, but the change can affect plugin developers.
 Dropping some components is a big change, so I think it is better to put off the change until Redmine 5.0.

 Agree.

#15 - 2020-05-09 07:47 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#16 - 2020-05-14 04:42 - Mizuki ISHIKAWA

- File ScreenShot-2020-05-14-11.21.34.png added

The style of the highlighted code listings on the Wiki toolbar has changed since this change was committed.

The background color of the li element does not change when hovering.

 ScreenShot-2020-05-14-11.21.34.png 

#17 - 2020-05-14 06:37 - Go MAEDA

- Status changed from Closed to Reopened

#18 - 2020-05-14 08:27 - Go MAEDA

- Blocks Defect #32125: Issues autocomplete may not find issues with a subject longer than 60 characters added

#19 - 2020-05-14 15:56 - Go MAEDA

Mizuki ISHIKAWA wrote:

The style of the highlighted code listings on the Wiki toolbar has changed since this change was committed.

The background color of the li element does not change when hovering.

 Reverted r19769 in r19776.

#20 - 2020-05-15 17:38 - Marius BĂLTEANU

- Assignee changed from Go MAEDA to Marius BĂLTEANU

#21 - 2020-05-16 14:50 - Marius BĂLTEANU

- File 0002-Fix-JS-languages-menu-style.patch added

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Here is the patch to fix the reported issue, thanks for pointing this out. I didn't know that the JS Toolbar depends on the menu component from jQuery

UI (issue cause). We should drop this dependency in the future.

@Go Maeda, I don't think that it's necessary to revert the changes, we're on trunk and for the patches that I work on, I will provide fixes as soon as I

can.

#22 - 2020-05-18 15:55 - Go MAEDA

- Status changed from Reopened to Closed

Committed the patch again with 0002-Fix-JS-languages-menu-style.patch. Thank you.

@Go Maeda, I don't think that it's necessary to revert the changes, we're on trunk and for the patches that I work on, I will provide fixes as soon

as I can.

 I thought it was a rather serious issue. And I didn't expect the issue is fixed so quickly. But now I think that reverting r19769 was too early.

Files

datepicker.png 49 KB 2020-05-02 Marius BĂLTEANU

overlay.png 325 KB 2020-05-02 Marius BĂLTEANU
autocomplete.png 48 KB 2020-05-02 Marius BĂLTEANU

0001-Update-JQuery-UI-to-1.12.1.patch.zip 281 KB 2020-05-02 Marius BĂLTEANU

ScreenShot-2020-05-14-11.21.34.png 55.3 KB 2020-05-14 Mizuki ISHIKAWA

0002-Fix-JS-languages-menu-style.patch 1.74 KB 2020-05-16 Marius BĂLTEANU
